

package gov.va.med.cds.client;


public interface ClinicalDataServiceInterface
{

    public java.lang.String deleteClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2 );


    public java.lang.String readClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2 );


    public java.lang.String readClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2, java.lang.String in3 );


    public boolean isAlive( );


    public java.lang.String updateClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2 );


    public java.lang.String createClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2, boolean in3 );


    public java.lang.String appendClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2 );


    public java.lang.String createClinicalData( java.lang.String in0, java.lang.String in1, java.lang.String in2 );
}
